Projekty
APIProfile

Update own profile

Updates bio and phone of the authenticated user profile.

PATCH
/api/profile/me

Updates bio and phone of the authenticated user profile.

Authorization

sessionAuth
cookiebetter-auth.session_token<token>

Better Auth session cookie (on HTTPS: __Secure-better-auth.session_token), forwarded to the login server's /api/auth/get-session

Request Body

application/json
  1. body
bio?|null
phone?|unknown|null

Response Body

OK

application/json
  1. response
success*boolean
Example Request
curl -X PATCH 'https://example.com/api/profile/me' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "success": true}